Saltar al contenido principal
DELETE
/
context
/
location
/
{game_id}
/
{world_id}
/
{location_id}
Eliminar una localización
curl --request DELETE \
  --url https://app.npcbuilder.com/api/context/location/{game_id}/{world_id}/{location_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.npcbuilder.com/api/context/location/{game_id}/{world_id}/{location_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.npcbuilder.com/api/context/location/{game_id}/{world_id}/{location_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Localización: location789 ha sido eliminada.",
  "location_id": "location789"
}
{
"message": "Ocurrió un error"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

game_id
string
requerido

El identificador único del juego.

Ejemplo:

"game123"

world_id
string
requerido

El identificador único del mundo.

Ejemplo:

"world456"

location_id
string
requerido

El identificador único de la localización a eliminar.

Ejemplo:

"location789"

Parámetros de consulta

session_id
string

(Opcional) El ID de sesión del jugador.

Ejemplo:

"60Z5aZjIuFlyYbjbZZKe"

Respuesta

Localización eliminada correctamente.

message
string

Mensaje de confirmación tras la eliminación.

Ejemplo:

"Localización: location789 ha sido eliminada."

location_id
string

UID de la localización.

Ejemplo:

"location789"